package com.jw.app.business.pushData;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.session.RowBounds;

import com.gaowj.business.exception.BusinessException;

public interface PushDataDAO {
	
    void insert_pushData(Map<String,Object> entity) throws BusinessException ;
	
	void update_pushData(Map<String,Object> entity) throws BusinessException ;
	
	void delete_pushData(List<String> list) throws BusinessException;
	
    List<Map<String,Object>> list_pushData(RowBounds rowbounds, Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_pushData(Map<String,Object> query) throws BusinessException ;
    
    int listCount_pushData(Map<String, Object> query) throws BusinessException ; 
 
    List<Map<String,Object>> list_pushData_one(String query) throws BusinessException ;
    
    List<Map<String, Object>> list_pushData_user(String query) throws BusinessException;
    
    int list_pushData_user_count (String query) throws BusinessException;
    
    List<Map<String, Object>> list_pushData_unit(String query) throws BusinessException;
    
    int list_pushData_unit_count (String query) throws BusinessException;
    
    List<Map<String,Object>> list_pushData_unit(RowBounds rowbounds, String query) throws BusinessException ;

	List<Map<String, Object>> list_pushData_user(RowBounds rowBounds, String query);
}
